Package org.apache.commons.math3.ode

# Interface SecondOrderDifferentialEquations

public interface SecondOrderDifferentialEquations
This interface represents a second order differential equations set.

This interface should be implemented by all real second order differential equation problems before they can be handled by the integrators `SecondOrderIntegrator.integrate(org.apache.commons.math3.ode.SecondOrderDifferentialEquations, double, double[], double[], double, double[], double[])` method.

A second order differential equations problem, as seen by an integrator is the second time derivative `d2Y/dt^2` of a state vector `Y`, both being one dimensional arrays. From the integrator point of view, this derivative depends only on the current time `t`, on the state vector `Y` and on the first time derivative of the state vector.

For real problems, the derivative depends also on parameters that do not belong to the state vector (dynamical model constants for example). These constants are completely outside of the scope of this interface, the classes that implement it are allowed to handle them as they want.

Since:
  1.2
See Also:
  - `SecondOrderIntegrator`
  - `FirstOrderConverter`
  - `FirstOrderDifferentialEquations`

## Method Summary

Modifier and Type
Method
Description
`void`
`computeSecondDerivatives(double t, double[] y, double[] yDot, double[] yDDot)`
Get the current time derivative of the state vector.
`int`
`getDimension()`
Get the dimension of the problem.

## Method Details

### getDimension

int getDimension()
Get the dimension of the problem.

Returns:
  dimension of the problem

### computeSecondDerivatives

void computeSecondDerivatives(double t, double[] y, double[] yDot, double[] yDDot)
Get the current time derivative of the state vector.

Parameters:
  `t` - current value of the independent time variable
  `y` - array containing the current value of the state vector
  `yDot` - array containing the current value of the first derivative of the state vector
  `yDDot` - placeholder array where to put the second time derivative of the state vector